aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorStéphane Desneux <stephane.desneux@iot.bzh>2017-06-20 09:25:01 +0000
committerGerrit Code Review <gerrit@automotivelinux.org>2017-06-20 09:25:01 +0000
commit682c21ba91959a333df943bb33d617269f10878c (patch)
tree9a09d6875bfc8a5e41f196548900ca01ccba7cd0
parent576b24cfff99a347ddefda53aecf98334c030096 (diff)
parent3081bce9632e29c7ecebf547360cc78c170470cd (diff)
Merge "Auto generate cover from book.json fields."
-rw-r--r--book.json1
-rwxr-xr-xdocs/resources/make_cover.sh3
-rwxr-xr-xgendocs.sh10
3 files changed, 12 insertions, 2 deletions
diff --git a/book.json b/book.json
index 6699c67b..46fd187b 100644
--- a/book.json
+++ b/book.json
@@ -1,5 +1,6 @@
{
"title": "Application Framework Binder",
+ "subtitle": "",
"description": "Application Framework Binder of Automotive Grade Linux",
"keywords": "AGL, Development, application, framework, binder",
"author": "IoT.Bzh Team",
diff --git a/docs/resources/make_cover.sh b/docs/resources/make_cover.sh
index 13ba4f0c..1026ecbd 100755
--- a/docs/resources/make_cover.sh
+++ b/docs/resources/make_cover.sh
@@ -3,7 +3,7 @@ DOCS_DIR=$(cd $(dirname $0)/.. && pwd)
BOOKFILE=$DOCS_DIR/../book.json
TITLE=$(grep '"title":' $BOOKFILE | cut -d'"' -f 4)
-SUBTITLE=""
+SUBTITLE=$(grep '"subtitle":' $BOOKFILE | cut -d'"' -f 4)
VERSION="Version $(grep '"version":' $BOOKFILE | cut -d'"' -f 4)"
DATE=$(grep '"published":' $BOOKFILE | cut -d'"' -f 4)
@@ -15,6 +15,7 @@ DATE=$(grep '"published":' $BOOKFILE | cut -d'"' -f 4)
cat $(dirname $0)/cover.svg | sed -e "s/{title}/$TITLE/g" \
-e "s/font-size:87.5px/font-size:54px/g" \
-e "s/{subtitle}/$SUBTITLE/g" \
+ -e "s/font-size:62.5px/font-size:40px/g" \
-e "s/{version}/$VERSION/g" \
-e "s/{date}/$DATE/g" \
> /tmp/cover.svg
diff --git a/gendocs.sh b/gendocs.sh
index 5aec2a76..0052748d 100755
--- a/gendocs.sh
+++ b/gendocs.sh
@@ -1,9 +1,13 @@
#!/bin/bash
-OUTFILENAME="Application-Framework-Binder"
+OUTFILENAME="Application-Framework-Binder-Guide"
SCRIPT=$(basename $BASH_SOURCE)
+VERSION=$(grep '"version":' $(dirname $BASH_SOURCE)/book.json | cut -d'"' -f 4)
+[ "$VERSION" != "" ] && OUTFILENAME="${OUTFILENAME}_${VERSION}"
+
+
function usage() {
cat <<EOF >&2
Usage: $SCRIPT [options] [pdf|serve|doxygen]
@@ -59,6 +63,10 @@ if [ "$DO_ACTION" = "pdf" -o "$DO_ACTION" = "serve" ]; then
[ "$?" = "1" ] && { echo "You must install calibre first, using: 'sudo apt install calibre' or refer to https://calibre-ebook.com/download"; exit 1; }
if [ "$DO_ACTION" = "pdf" ]; then
+
+ # Update cover when book.json has been changed
+ [[ $ROOTDIR/book.json -nt $ROOTDIR/docs/cover.jpg ]] && { echo "Update cover files"; $ROOTDIR/docs/resources/make_cover.sh || exit 1; }
+
OUTFILE=$OUT_DIR/$OUTFILENAME.pdf
$DRY $GITBOOK pdf $ROOTDIR $OUTFILE $DEBUG_FLAG
[ "$?" = "0" ] && echo "PDF has been successfully generated in $OUTFILE"